Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229116 - %{pyver} is undefined, but the requirement isn't needed
Summary: %{pyver} is undefined, but the requirement isn't needed
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mod_python
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-17 11:25 UTC by Robert Scheck
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 3.3.1-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-20 12:48:12 UTC


Attachments (Terms of Use)

Description Robert Scheck 2007-02-17 11:25:35 UTC
Description of problem:
> rpm -qp --requires http://download.fedora.redhat.com/pub/fedora/linux/core/
development/i386/os/Fedora/RPMS/mod_python-3.3.1-2.i386.rpm | grep python
config(mod_python) = 3.3.1-2
libpython2.5.so.1.0
python(abi) = 2.5
python-abi = %{pyver}
> 

Version-Release number of selected component (if applicable):
mod_python-3.3.1-2

Actual results:
%{pyver} is undefined, but the requirement itself isn't needed.

Expected results:
Either define %{pyver} or drop the requirement as it is more or less redundant 
because of the self-generated by rpm one:

--- mod_python.spec     2007-02-16 18:47:47.000000000 +0100
+++ mod_python.spec.rsc 2007-02-17 12:24:44.000000000 +0100
@@ -13,7 +13,7 @@
 Group: System Environment/Daemons
 BuildRequires: httpd-devel >= 2.0.40-6, python, python-devel
 Requires: httpd-mmn = %(cat %{_includedir}/httpd/.mmn || echo missing)
-Requires: python-abi = %{pyver}, httpd >= 2.0.40
+Requires: httpd >= 2.0.40
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

 %description

Comment 1 Robert Scheck 2007-02-20 12:48:12 UTC
Fixed by Jeremy in today's Rawhide in 3.3.1-3, closing now.


Note You need to log in before you can comment on or make changes to this bug.